### Constructor

# MalcontentUi RestrictApplicationsSelector new

since: 0.5.0

#### Declaration [src]

    MctRestrictApplicationsSelector*
    mct_restrict_applications_selector_new (
      MctAppFilter* app_filter
    )

#### Description [src]

Create a new `MctRestrictApplicationsSelector` widget.

Available since: 0.5.0

#### Parameters

`app_filter`

  Type: `MctAppFilter`

  App filter to configure the selector from initially.

  The data is owned by the caller of the function.

#### Return value

Type: `MctRestrictApplicationsSelector`

A new restricted applications selector.

The caller of the function takes ownership of the data, and is responsible for freeing it.